<script type="text/x-template" id="car-edit" class="car-edit">

          <div class="form form_default car-form">
          {% if not edit %}
          <div class="car-form__item car-form__item_method car-form__item_type">
            <div class="list list_m">
              <div class="list__item">
                <label class="check check_l check_default">
                  <input v-model="method" type="radio" name="carEditMethod" value="2" checked="checked" {% if edit %} checked {% endif %}/>
                  <div class="check__icon"></div>
                  <div class="check__content">
                    <h4>Вручную</h4>
                    <div class="check__description">заполнив необходимые поля</div>
                  </div>
                </label>
              </div>
            </div>
          </div>
          <div v-if="method == 1" class="car-form__item car-form__item_auto">
            <div class="field">
              <label class="label label_default label_s">ссылка на объявление auto.ru</label>
              <div class="control control_default control_m">
                <input v-model="url" name="url" class="validateVin" v-validate="'required|url|unique_url'" type="text"/>
              </div>
              <div v-show="errors.has('url')" class="msg msg_field msg_fail">${ errors.first("url") }</div>
            </div>
          </div>
          {% endif %}
          <div v-if="method == 2" class="form__item car-form__item car-form__item_manual">
            <div class="form__item form-group form-group_default">
              <div class="form-group__header">
                <h3>Основная информация</h3>
              </div>
              <div class="form-group__body fieldset fieldset_car-basic">
                {% if form.vin %}
                  <div class="fieldset__item fieldset__item_vin">
                    <label class="label label_default label_s" for="{{ form.vin.id_for_label }}">VIN</label>
                    <div class="control control_default control_m">
                      <input
                              class="validateVin"
                              type="text"
                              name="{{ form.vin.name }}"
                              v-validate.initial="{ max: 17, unique_vin: true }"
                              value="{{ form.vin.value|default_if_none:'' }}"
                              v-on:input="upCase"
                              v-on:click="showValid"
                              v-on:blur="showValid"/>
                    </div>
                    <div v-show="errors.has('{{ form.vin.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.vin.name }}") }</div>
                  </div>
                {% endif %}
                {% if form.year_auto %}
                  <div class="fieldset__item fieldset__item_date">
                    <label class="label label_default label_s" for="{{ form.year_auto.id_for_label }}">дата выпуска</label>
                    <div class="control control_default control_m">
                      <select class="validateVin" name="{{ form.year_auto.name }}">
                        {% for value, text in form.year_auto.field.choices %}
                          <option value="{{ value }}" {% if form.year_auto.value == value %} selected {% endif %}>{{ text }}</option>
                        {% endfor %}
                      </select>
                    </div>
                    <div v-show="errors.has('{{ form.year_auto.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.year_auto.name }}") }</div>
                  </div>
                {% endif %}
                {% if form.owners %}
                  <div class="fieldset__item fieldset__item_owners">
                    <label class="label label_default label_s">кол-во владельцев</label>
                    <div class="control control_default control_m">
                      <input v-validate.initial="'numeric|max:3'" name="{{ form.owners.name }}" type="number" value="{{ form.owners.value|default_if_none:'' }}"/>
                    </div>
                  </div>
                {% endif %}
                {% if form.mark_auto %}
                  <div class="fieldset__item fieldset__item_brand">
                    <label class="label label_default label_s" for="{{ form.mark_auto.id_for_label }}">марка</label>
                    <div class="control control_default control_m">
                      <select id="mark_auto" class="validateVin" v-select2="mark_auto" name="{{ form.mark_auto.name }}">
                        <option value="" selected> </option>
                        <optgroup label="Популярные" class="padding10">
                        {% for instance in form.mark_auto.field.queryset %}
                          {% if instance.popular %}
                            <option value="{{ instance.id }}" {% if form.mark_auto.value == instance.id %} selected {% endif %}>{{ instance }}</option>
                          {% endif %}
                        {% endfor %}
                        </optgroup>
                        <optgroup label="Все" class="padding10">
                        {% for instance in form.mark_auto.field.queryset %}
                          <option class="padding10" value="{{ instance.id }}" {% if form.mark_auto.value == instance.id %} selected {% endif %}>{{ instance }}</option>
                        {% endfor %}
                        </optgroup>
                      </select>
                    </div>
                    <div v-show="errors.has('{{ form.mark_auto.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.model_auto.name }}") }</div>
                  </div>
                {% endif %}
                {% if form.model_auto %}
                  <div class="fieldset__item fieldset__item_model">
                    <label class="label label_default label_s" for="{{ form.model_auto.id_for_label }}">модель</label>
                    <div class="control control_default control_m">
                      <select id="model_auto" class="validateVin" v-select2="model_auto" name="{{ form.model_auto.name }}">
                        {% for instance in form.model_auto.field.queryset %}
                          <option value="{{ instance.id }}" {% if form.model_auto.value == instance.id %} selected {% endif %}>{{ instance }}</option>
                        {% endfor %}
                      </select>
                    </div>
                    <div v-show="errors.has('{{ form.model_auto.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.model_auto.name }}") }</div>
                  </div>
                {% endif %}
                {% if form.generation %}
                  <div class="fieldset__item fieldset__item_generation">
                    <label class="label label_default label_s" for="{{ form.generation.id_for_label }}">поколение</label>
                    <div class="control control_default control_m">
                      <select id="generation" v-select2="generation" name="{{ form.generation.name }}">
                        {% for instance in form.generation.field.queryset %}
                          <option value="{{ instance.id }}" {% if form.generation.value == instance.id %} selected {% endif %}>{{ instance }}</option>
                        {% endfor %}
                      </select>
                    </div>
                  </div>
                {% endif %}
                {% if form.body_type_auto %}
                  <div class="fieldset__item fieldset__item_body">
                    <label class="label label_default label_s" for="{{ form.body_type_auto.id_for_label }}">кузов</label>
                    <div class="control control_default control_m">
                      <select name="{{ form.body_type_auto.name }}">
                        {% for value, text in form.body_type_auto.field.choices %}
                          <option value="{{ value }}" {% if form.body_type_auto.value == value %} selected {% endif %}>{{ text }}</option>
                        {% endfor %}
                      </select>
                    </div>
                  </div>
                {% endif %}
                {% if form.color_auto %}
                  <div class="fieldset__item fieldset__item_color">
                    <label class="label label_default label_s" for="{{ form.color_auto.id_for_label }}">цвет</label>
                    <div class="control control_default control_m">
                      <input type="text" name="{{ form.color_auto.name }}" value="{{ form.color_auto.value|default_if_none:'' }}"/>
                    </div>
                  </div>
                {% endif %}
                {% if form.equipment %}
                  <div class="fieldset__item fieldset__item_equipment">
                    <label class="label label_default label_s" for="{{ form.equipment.id_for_label }}">комплектация</label>
                    <div class="control control_default control_m">
                      <input type="text" name="{{ form.equipment.name }}" value="{{ form.equipment.value|default_if_none:'' }}"/>
                    </div>
                  </div>
                {% endif %}
                {% if form.engine_type %}
                  <div class="fieldset__item fieldset__item_engine-type">
                    <label class="label label_default label_s" for="{{ form.engine_type.id_for_label }}">двигатель</label>
                    <div class="control control_default control_m">
                      <select name="{{ form.engine_type.name }}">
                        {% for value, text in form.engine_type.field.choices|slice:"1:" %}
                          <option value="{{ value }}" {% if form.engine_type.value == value %} selected {% endif %}>{{ text }}</option>
                        {% endfor %}
                      </select>
                    </div>
                  </div>
                {% endif %}
                {% if form.engine_capacity %}
                  <div class="fieldset__item fieldset__item_engine-volume">
                    <label class="label label_default label_s" for="{{ form.engine_capacity.id_for_label }}">объём(л)</label>
                    <div class="control control_default control_m">
                      <select name="{{ form.engine_capacity.name }}">
                        {% for value, text in form.engine_capacity.field.choices|slice:"1:" %}
                          <option value="{{ value }}" {% if form.engine_capacity.value == value %} selected {% endif %}>{{ value }}</option>
                        {% endfor %}
                      </select>
                    </div>
                  </div>
                {% endif %}
                {% if form.horsepower %}
                  <div class="fieldset__item fieldset__item_engine-power">
                    <label class="label label_default label_s" for="{{ form.horsepower.id_for_label }}">мощность(л.с.)</label>
                    <div class="control control_default control_m">
                      <input v-validate.initial="'numeric|max:5'" name="{{ form.horsepower.name }}" type="number" value="{{ form.horsepower.value|default_if_none:'' }}"/>
                    </div>
                    <div v-show="errors.has('{{ form.horsepower.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.horsepower.name }}") }</div>
                  </div>
                {% endif %}
                {% if form.transmission_type %}
                  <div class="fieldset__item fieldset__item_gearbox-type">
                    <label class="label label_default label_s" for="{{ form.transmission_type.id_for_label }}">трансмиссия</label>
                    <div class="control control_default control_m">
                      <select name="{{ form.transmission_type.name }}">
                        {% for value, text in form.transmission_type.field.choices|slice:"1:" %}
                          <option value="{{ value }}" {% if form.transmission_type.value == value %} selected {% endif %}>{{ text }}</option>
                        {% endfor %}
                      </select>
                    </div>
                  </div>
                {% endif %}
                {% if form.drive_type %}
                  <div class="fieldset__item fieldset__item_transmission">
                    <label class="label label_default label_s" for="{{ form.drive_type.id_for_label }}">привод</label>
                    <div class="control control_default control_m">
                      <select name="{{ form.drive_type.name }}">
                        {% for value, text in form.drive_type.field.choices|slice:"1:" %}
                          <option value="{{ value }}" {% if form.drive_type.value == value %} selected {% endif %}>{{ text }}</option>
                        {% endfor %}
                      </select>
                    </div>
                  </div>
                {% endif %}
                <div class="fieldset__item fieldset__item_empty">
                  <label class="label label_default label_s"></label>
                  <div class="control control_default control_m">
                  </div>
                </div>
                {% if form.salon_auto %}
                  <div class="fieldset__item fieldset__item_interior-type">
                    <label class="label label_default label_s" for="{{ form.salon_auto.id_for_label }}">салон</label>
                    <div class="control control_default control_m">
                      <select name="{{ form.salon_auto.name }}">
                        <option {% if form.salon_auto.value == '' %} selected {% endif %}></option>
                        <option {% if form.salon_auto.value|lower == 'кожа' %} selected {% endif %}>кожа</option>
                        <option {% if form.salon_auto.value|lower == 'велюр' %} selected {% endif %}>велюр</option>
                        <option {% if form.salon_auto.value|lower == 'ткань' %} selected {% endif %}>ткань</option>
                        <option {% if form.salon_auto.value|lower == 'комбинированный' %} selected {% endif %}>комбинированный</option>
                      </select>
                    </div>
                  </div>
                {% endif %}
                {% if form.color_salon %}
                  <div class="fieldset__item fieldset__item_interior-color">
                    <label class="label label_default label_s">цвет салона</label>
                    <div class="control control_default control_m">
                      <input type="text" name="{{ form.color_salon.name }}" value="{{ form.color_salon.value|default_if_none:'' }}"/>
                    </div>
                  </div>
                {% endif %}
                <div class="fieldset__item fieldset__item_empty">
                  <label class="label label_default label_s"></label>
                  <div class="control control_default control_m">
                  </div>
                </div>
                {% if form.cost %}
                  <div class="fieldset__item fieldset__item_price">
                    <label class="label label_default label_s">цена</label>
                    <div class="control control_default control_m">
                      <input  v-model="cost" 
                      type="text" name="{{ form.cost.name }}" value="{{ form.cost.value|default_if_none:0 }}"/>
                      
                    </div>
                    <div v-show="errors.has('{{ form.cost.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.cost.name }}") }</div>
                  </div>
                {% endif %}
                <div class="fieldset__item fieldset__item_empty">
                  <label class="label label_default label_s"></label>
                  <div class="control control_default control_m">
                  </div>
                </div>
                {% if form.comment %}
                  <div class="fieldset__item fieldset__item_description">
                    <label class="label label_default label_s" for="{{ form.comment.id_for_label }}">описание</label>
                    <div class="control control_default control_m">
                      <textarea name="{{ form.comment.name }}">{{ form.comment.value|default_if_none:'' }}</textarea>
                    </div>
                  </div>
                {% endif %}
              </div>
            </div>
            <!--<div class="form__item form-group form-group_default">
              <div class="form-group__header">
                <h3>Фотографии</h3>
              </div>
              <div class="form-group__body">
                  <div class="dropzone">
                    <file-upload class="dropzone__area" style="width:100%" name="photo" :headers="{'X-CSRFToken': '{{ csrf_token }}'}" ref="upload" :drop="true" extensions="gif,jpg,jpeg,png,webp" accept="image/png,image/gif,image/jpeg,image/webp" :multiple="true" v-model="files" @input-file="inputFile" @input-filter="inputFilter" {% if auto %} post-action="{% url 'auto:add_photo_auto' auto.id %}" {% endif %}>Нажмите или перетащите файлы</file-upload> 
                    <div class="dropzone__gallery">
                      {% include 'auto/gallery.html' %}
                    </div>
                  </div>
              </div>
            </div>-->
            <div class="form__item form-group form-group_default">
              <div class="form-group__header">
                <h3>Информация о продавце</h3>
              </div>
              <div class="form-group__body fieldset fieldset_car-owner">
                <div class="fieldset__item fieldset__item_owner-type">
                  <label class="label label_default label_s">тип продавца</label>
                  <div class="control control_default control_m">
                    <select name="{{ form.author_type.name }}">
                      {% for value, text in form.author_type.field.choices %}
                        <option value="{{ value }}" {% if form.author_type.value == value %} selected {% endif %}>{{ text }}</option>
                      {% endfor %}
                    </select>
                  </div>
                </div>
                <div class="fieldset__item fieldset__item_owner-name">
                  <label class="label label_default label_s" for="{{ form.author.id_for_label }}">имя</label>
                  <div class="control control_default control_m">
                    <input type="text" name="{{ form.author.name }}" value="{{ form.author.value|default_if_none:'' }}"/>
                  </div>
                </div>
                <div class="fieldset__item fieldset__item_owner-phone">
                  <label class="label label_default label_s">телефон</label>
                  <div class="control control_default control_m">
                    <input type="text" v-validate.initial="{ regex: /^\+?\d+$/ }" name="{{ form.phone.name }}" value="{{ form.phone.value|default_if_none:'' }}"/>
                  </div>
                  <div v-show="errors.has('{{ form.phone.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.phone.name }}") }</div>
                </div>
                {% if form.location %}
                  <div class="fieldset__item fieldset__item_referrer">
                    <label class="label label_default label_s" for="{{ form.location.id_for_label }}">местоположение</label>
                    <div class="control control_default control_m">
                      <input type="text" name="{{ form.location.name }}" value="{{ form.location.value|default_if_none:'' }}"/>
                    </div>
                  </div>
                {% endif %}
                {% if form.source %}
                  <div class="fieldset__item fieldset__item_referrer">
                    <label class="label label_default label_s" for="{{ form.source.id_for_label }}">объявление</label>
                    <div class="control control_default control_m">
                      <input type="text" v-validate.initial="'unique_source'" name="{{ form.source.name }}" value="{{ form.source.value|default_if_none:'' }}"/>
                    </div>
                    <div v-show="errors.has('{{ form.source.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.source.name }}") }</div>
                  </div>
                {% endif %}
              </div>
            </div>
              <div class="form__item fieldset_grid3">
                {% if form.resell %}
                    <label class="check check_m check_default" for="{{ form.resell.id_for_label }}">
                      <input type="checkbox" id="{{ form.resell.id_for_label }}" name="{{ form.resell.name }}" {% if form.resell.value %} checked {% endif %}/>
                      <div class="check__icon"></div>
                      <div class="check__content">
                        <div class="check__title">перекуп</div>
                      </div>
                    </label>
                {% endif %}
              </div>
          </div>
          <div v-if="method == 2" class="form__item fieldset fieldset_grid3">
            <div v-if="method == 2 && addReportIsVisible == 1" @click="validateBeforeSubmit();" class="btn btn_m btn_primary valid off save_auto">
              <div class="btn__title">Сохранить авто</div>
            </div>
            {% if html_title == 'Добавление автомобиля' or html_title == 'Редактирование автомобиля' %}
            <div @click="saveAndAddReport();" class="btn btn_m btn_primary valid off edit_report">
              <div class="btn__title">Заполнить отчет</div>
            </div>
            {% endif %}
          </div>
        </div>

</script>